class WordsController < ApplicationController
  before_action :set_word, only: [:show, :edit, :update, :destroy, :test]

  # GET /words
  # GET /words.json
  def index
    #@words = Word.all
    w1 = Word.new
    w1.id = 1
    w1.word = ''
    w1.description = ''
    w1.lang = 'hu'
    w2 = Word.new
    w2.id = 2
    w2.word = 'todo'
    w2.description = 'Teendo'
    w2.lang = 'en'
    @words = [ w1, w2 ]
  end

  # GET /words/1
  # GET /words/1.json
  def show
  end

  # GET /words/new
  def new
    @word = Word.new
  end

  # GET /words/1/edit
  def edit
  end
  
  def test
    @word.word = ''
  end

  # POST /words
  # POST /words.json
  def create
    @word = Word.new(word_params)

    respond_to do |format|
      if @word.save
        format.html { redirect_to @word, notice: 'Word was successfully created.' }
        format.json { render :show, status: :created, location: @word }
      else
        format.html { render :new }
        format.json { render json: @word.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /words/1
  # PATCH/PUT /words/1.json
  def update
    respond_to do |format|
      if @word.update(word_params)
        format.html { redirect_to @word, notice: 'Word was successfully updated.' }
        format.json { render :show, status: :ok, location: @word }
      else
        format.html { render :edit }
        format.json { render json: @word.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /words/1
  # DELETE /words/1.json
  def destroy
    @word.destroy
    respond_to do |format|
      format.html { redirect_to words_url, notice: 'Word was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_word
      #@word = Word.find(params[:id])
      @word = Word.new
      @word.id = 1
      @word.word = 'a'
      @word.description = 'Hatarozatlan nevelo'
      @word.lang = 'en'
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def word_params
      params.require(:word).permit(:word, :description, :lang, :pronounce)
    end
end
